Package tigase.xml.db

## Enum Types.DataType

- java.lang.Object
- - java.lang.Enum<Types.DataType>
  - - tigase.xml.db.Types.DataType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Types.DataType>`
  Enclosing class:
    Types

      public static enum Types.DataType
      extends java.lang.Enum<Types.DataType>

  Describe class DataType here.

  Created: Tue Dec 6 17:34:22 2005

  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOOLEAN` |
    `BOOLEAN_ARR` |
    `DOUBLE` |
    `DOUBLE_ARR` |
    `INTEGER` |
    `INTEGER_ARR` |
    `LONG` |
    `LONG_ARR` |
    `STRING` |
    `STRING_ARR` |
    `UNDEFINED` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()` |
    `static Types.DataType` | `valueof​(java.lang.String javaType)` |
    `static Types.DataType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Types.DataType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTEGER

          public static final Types.DataType INTEGER

    - #### INTEGER_ARR

          public static final Types.DataType INTEGER_ARR

    - #### LONG

          public static final Types.DataType LONG

    - #### LONG_ARR

          public static final Types.DataType LONG_ARR

    - #### STRING

          public static final Types.DataType STRING

    - #### STRING_ARR

          public static final Types.DataType STRING_ARR

    - #### DOUBLE

          public static final Types.DataType DOUBLE

    - #### DOUBLE_ARR

          public static final Types.DataType DOUBLE_ARR

    - #### BOOLEAN

          public static final Types.DataType BOOLEAN

    - #### BOOLEAN_ARR

          public static final Types.DataType BOOLEAN_ARR

    - #### UNDEFINED

          public static final Types.DataType UNDEFINED

  - ### Method Detail

    - #### values

          public static Types.DataType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Types.DataType c : Types.DataType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Types.DataType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueof

          public static Types.DataType valueof​(java.lang.String javaType)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Types.DataType>`